Bug 75976 - error running query by owner/component
error running query by owner/component
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Test (Show other bugs)
2.17
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 10:03 EDT by David Lehman
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 17:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2002-10-15 10:03:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020509

Description of problem:
Running a relatively basic query, got an error message (included).

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

SELECT DISTINCT bugs.bug_id, bugs.remaining_time,
(SUM(ldtime.work_time)*COUNT(DISTINCT ldtime.bug_when)/COUNT(bugs.bug_id)) AS
actual_time, bugs.bug_severity, bugs.priority, bugs.rep_platform,
map_assigned_to.login_name, bugs.bug_status, bugs.resolution, bugs.short_desc
FROM profiles AS map_assigned_to, products products_, longdescs AS ldtime, LEFT
JOIN cc cc_ ON bugs.bug_id = cc_.bug_id, LEFT JOIN profiles map_cc_ ON cc_.who =
map_cc_.userid,bugs LEFT JOIN bug_group_map ON bug_group_map.bug_id =
bugs.bug_id AND bug_group_map.group_id NOT IN (12,15,34) LEFT JOIN cc ON
cc.bug_id = bugs.bug_id WHERE bugs.assigned_to = map_assigned_to.userid AND
products_.id = bugs.product_id AND ldtime.bug_id = bugs.bug_id AND
bugs.product_id = products_.id AND bugs.assigned_to = map_assigned_to.userid AND
(bugs.rep_platform = 'powerpc') AND (products_.name = 'Red Hat Linux' OR
products_.name = 'Red Hat Linux Beta' OR products_.name = 'Red Hat Raw Hide')
AND (bugs.bug_status = 'NEW' OR bugs.bug_status = 'ASSIGNED' OR bugs.bug_status
= 'REOPENED' OR bugs.bug_status = 'NEEDINFO' OR bugs.bug_status = 'MODIFIED')
AND (products_.name = 'Red Hat Linux' OR products_.name = 'Red Hat Linux Beta'
OR products_.name = 'Red Hat Raw Hide') AND (POSITION('dlehman@redhat.com' IN
LOWER(map_assigned_to.login_name)) != 0 OR POSITION('dlehman@redhat.com' IN
LOWER(map_cc_.login_name)) != 0) AND ((bug_group_map.group_id IS NULL) OR
(bugs.reporter_accessible = 1 AND bugs.reporter = 24839) OR
(bugs.cclist_accessible = 1 AND cc.who = 24839) OR (bugs.assigned_to = 24839))
GROUP BY
bugs.bug_id,bugs.remaining_time,bugs.bug_severity,bugs.priority,bugs.rep_platform,map_assigned_to.login_name,bugs.bug_status,bugs.resolution,bugs.short_desc
ORDER BY bugs.bug_id : ERROR: parser: parse error at or near "LEFT" at
globals.pl line 280.
Comment 1 Mike McLean 2002-10-15 14:23:49 EDT
I get a similar error with the following query:

http://bugzilla.redhat.com/rh-bugzilla-beta1/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&devel_whiteboard_type=allwordssubstr&devel_whiteboard=&emailreporter1=1&emaillongdesc1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emaillongdesc2=1&emailtype2=substring&email2=mamclean&bugidtype=include&bug_id=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=

SELECT DISTINCT bugs.bug_id, bugs.remaining_time,
(SUM(ldtime.work_time)*COUNT(DISTINCT ldtime.bug_when)/COUNT(bugs.bug_id)) AS
actual_time, bugs.bug_severity, bugs.priority, bugs.rep_platform,
map_assigned_to.login_name, bugs.bug_status, bugs.resolution, bugs.short_desc
FROM profiles AS map_assigned_to, longdescs AS ldtime, longdescs longdescs_,
profiles longdescnames_, profiles AS map_reporter, LEFT JOIN cc cc_ ON
bugs.bug_id = cc_.bug_id, LEFT JOIN profiles map_cc_ ON cc_.who =
map_cc_.userid, LEFT JOIN profiles map_qa_contact ON bugs.qa_contact =
map_qa_contact.userid,bugs LEFT JOIN bug_group_map ON bug_group_map.bug_id =
bugs.bug_id AND bug_group_map.group_id NOT IN (12,11,15) LEFT JOIN cc ON
cc.bug_id = bugs.bug_id WHERE bugs.assigned_to = map_assigned_to.userid AND
ldtime.bug_id = bugs.bug_id AND longdescs_.bug_id = bugs.bug_id AND
longdescs_.who = longdescnames_.userid AND bugs.assigned_to =
map_assigned_to.userid AND bugs.reporter = map_reporter.userid AND
(POSITION('mamclean' IN LOWER(map_assigned_to.login_name)) != 0 OR
POSITION('mamclean' IN LOWER(map_reporter.login_name)) != 0 OR
POSITION('mamclean' IN LOWER(map_cc_.login_name)) != 0 OR POSITION('mamclean' IN
LOWER(map_qa_contact.login_name)) != 0 OR POSITION('mamclean' IN
LOWER(longdescnames_.login_name)) != 0) AND ((bug_group_map.group_id IS NULL) OR
(bugs.reporter_accessible = 1 AND bugs.reporter = 84357) OR
(bugs.cclist_accessible = 1 AND cc.who = 84357) OR (bugs.assigned_to = 84357))
GROUP BY
bugs.bug_id,bugs.remaining_time,bugs.bug_severity,bugs.priority,bugs.rep_platform,map_assigned_to.login_name,bugs.bug_status,bugs.resolution,bugs.short_desc
ORDER BY bugs.bug_id : ERROR: parser: parse error at or near "LEFT" at
globals.pl line 280.
Comment 2 David Lawrence 2002-10-15 14:33:17 EDT
Queries are currently known broken when using searches based on user names such
as  CC, qa_contact, etc. I am working on this.
Comment 3 David Lawrence 2002-10-23 18:52:11 EDT
Should be fixed in latest cut.

http://bugzilla.redhat.com/rh-bugzilla-beta3

Note You need to log in before you can comment on or make changes to this bug.